package com.andreaszeiser.bob;

import android.graphics.Bitmap;
import android.widget.ImageView;

public interface ImageWorkerListener {

	/**
	 * Listener will be informed when bitmap was either loaded successfully from
	 * remote or from cache.
	 * 
	 * @param imageView
	 * @param bitmap
	 * @return true to avoid that the bitmap is set as image's source, otherwise
	 *         false to let the framework set the bitmap as the source of the
	 *         imageView for you.
	 */
	public boolean onImageLoaded(ImageView imageView, Bitmap bitmap);

}
