package com.andreaszeiser.bob.utils;

import com.andreaszeiser.bob.BuildConfig;

public final class Log {

	public static void v(final String tag, final String msg) {
		if (BuildConfig.DEBUG) {
			android.util.Log.v(tag, msg);
		}
	}

	public static void i(final String tag, final String msg) {
		if (BuildConfig.DEBUG) {
			android.util.Log.i(tag, msg);
		}
	}

	public static void d(final String tag, final String msg) {
		if (BuildConfig.DEBUG) {
			android.util.Log.d(tag, msg);
		}
	}

	public static void w(final String tag, final String msg) {
		if (BuildConfig.DEBUG) {
			android.util.Log.w(tag, msg);
		}
	}

	public static void e(final String tag, final String msg) {
		if (BuildConfig.DEBUG) {
			android.util.Log.e(tag, msg);
		}
	}

	public static void e(final String tag, final String msg,
			final Throwable throwable) {
		if (BuildConfig.DEBUG) {
			android.util.Log.e(tag, msg, throwable);
		}
	}

}
